%undefine __libtoolize
%define qtdir %_qt3dir
%define _optlevel s
%define glibc_core_ver %{get_version glibc-core}
%define _keep_libtool_files 1
%_K_if_ver_lt %glibc_core_ver 2.5
%define _keep_libtool_files 0
%endif

%define unstable 0
%define lilo 0
%define kuser 0
%define kcmlinuz 0
%define kwuftpd 0
%define kpackage 0
%define kxconfig 0
%define knetworkconf 0

%add_findprov_lib_path %_libdir/kde3

Name: kdeadmin
Version: 3.5.6
Release: alt0.1.M30
Serial: 1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Administrative Tools
Url: http://www.kde.org/
License: GPL

Source: kdeadmin-%version.tar.bz2
#Source: kdeadmin-3.0.98.tar.bz2
Source10: kpackage.pam
Source11: kpackage.helper
Source12: kuser.pam
Source13: kuser.helper
Source14: kwuftpd.pam
Source15: kwuftpd.helper

# ALT patches
Patch1000: kdeadmin-3.1.1-ksysv-alt.patch
Patch1001: kdeadmin-3.1-kpakage_db.patch
Patch1002: kdeadmin-3.2.3-alt_tcb.patch
Patch1003: kpackage-3.2.0-dist-upgrade.patch
Patch1004: kpackage-3.2.0-remove-unused-pkgmanagers.patch
Patch1005: kpackage-3.2.0-rpm-uninstall.patch
Patch1006: 3.2.0-flags.patch
Patch1007: kpackage-3.4.0-fix-start-via-consolehelper.patch
Patch1008: kuser-3.2.3-first-id.patch
Patch1009: secpolicy-3.5.9-fix-linking.patch

Requires: %name-kcron = %version-%release
Requires: %name-kdat = %version-%release
Requires: %name-kfile = %version-%release
Requires: %name-ksysv = %version-%release
Requires: %name-secpolicy = %version-%release
%if %lilo
Requires: %name-lilo = %version-%release
%endif
%if %kcmlinuz
Requires: %name-kcmlinuz = %version-%release
%endif
%if %kpackage
Requires: %name-kpackage = %version-%release
%endif
%if %kwuftpd
Requires: %name-kwuftpd = %version-%release
%endif
%if %kuser
Requires: %name-kuser = %version-%release
%endif
%if %kxconfig
Requires: %name-kxconfig = %version-%release
%endif
%if %knetworkconf
Requires: %name-knetworkconf = %version-%release
%endif


# Automatically added by buildreq on Mon Apr 08 2002
#BuildRequires: XFree86-devel XFree86-libs bzlib-devel freetype2 gcc-c++ kde-common kdebase kdelibs-devel kdemultimedia-aktion libarts-devel libbeecrypt-devel libdb1-devel libdb4-devel libjpeg-devel liblcms libmng libpam-devel libpng-devel libpopt-devel libqt3-devel librpm-devel libstdc++-devel lilo zlib-devel

BuildRequires: xorg-x11-devel bzlib-devel
BuildRequires: gcc-c++ kde-common kdelibs-devel
BuildRequires: libarts-devel libbeecrypt-devel libart_lgpl-devel
BuildRequires: libjpeg-devel liblcms libmng libpam-devel
BuildRequires: libpng-devel libpopt-devel libqt3-devel libstdc++-devel zlib-devel
BuildRequires: libacl-devel libattr-devel
#BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs >= %version kdelibs-devel >= %version
%if %lilo
BuildRequires: lilo
%endif
%if %kpackage
BuildRequires: librpm-devel
%endif

%description
Administrative tools for the K Desktop Environment.

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: kdeadmin <= 3.0.1
#
%description common
Common empty package for %name

%package kcron
Group: System/Configuration/Other
Summary: Crontab editor for KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kcron
KCron is a crontab editor for KDE - it helps you make your system run
commands periodically.

%package kdat
Group: Archiving/Backup
Summary: Tape backup tool for KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kdat
KDat is a KDE application for controlling tape backups.

%package kfile
Summary: KDE File dialog plugins for deb and rpm files
Group: File tools
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Provides: %name-kfile-plugins = %serial:%version-%release
Obsoletes: %name-kfile-plugins
#
%description kfile
File dialog plugins for deb and rpm package files.

%package kpackage
Group: System/Configuration/Packaging
Summary: KDE package manager
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Requires: consolehelper
#
%description kpackage
KPackage is a graphical frontend for RPM and other package managers.

%package ksysv
Group: System/Configuration/Boot and Init
Summary: System V startup editor
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description ksysv
KSysV is a graphical frontend for configuring your runlevels (system
startup/shutdown sequence).

%package kuser
Group: System/Configuration/Other
Summary: Frontend for configuring users and user groups
Requires: consolehelper
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kuser
KUser is a graphical frontend for managing the users and user groups on
your system.

%package kwuftpd
Group: System/Configuration/Networking
Summary: Graphical interface for configuring wu-ftpd
Requires: consolehelper
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kwuftpd
KWuftpd is a graphical frontend for configuring the wu-ftpd ftp server.

%package kcmlinuz
Group: System/Configuration/Other
Summary: Linux kernel configurator for KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kcmlinuz
kcmlinuz is a graphical frontend for creating configuration files for compiling
kernels.

%package lilo
Group: System/Configuration/Boot and Init
Summary: Graphical frontend for configuring the LILO bootloader
Requires: lilo
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description lilo
kdeadmin-lilo is a KDE frontend for configuring the LILO bootloader.

%package kxconfig
Summary: KDE display configuration tool
Group: System/Configuration/Hardware
Conflicts: %name < %version
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kxconfig
This program allows you to configure your X display.

%package secpolicy
Summary: KDE PAM security policy configuration tool
Group: System/Configuration/Other
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description secpolicy
This tool allows you to manipulate the PAM configuration files for each
"service" you have created to use PAM.

%prep
%setup -q -n %name-%version
#%setup -q -n %name-3.0.98

%patch1000	-p1
#%patch1001	-p1
# kuser
###%patch1002	-p1
###%patch1003	-p1
###%patch1004	-p1
%patch1005	-p1
###%patch1006	-p1
%patch1007	-p1
###%patch1008	-p1
%patch1009	-p1

%if %_keep_libtool_files
%else
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
%endif
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR%_lib:$KDEDIR%_lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"

%if !%kuser
DO_NOT_COMPILE="$DO_NOT_COMPILE kuser"
%endif
%if !%kwuftpd
DO_NOT_COMPILE="$DO_NOT_COMPILE kwuftpd"
%endif
%if !%kcmlinuz
DO_NOT_COMPILE="$DO_NOT_COMPILE kcmlinuz"
%endif
%if !%kpackage
DO_NOT_COMPILE="$DO_NOT_COMPILE kpackage"
%endif
%if !%kxconfig
DO_NOT_COMPILE="$DO_NOT_COMPILE kxconfig"
%endif
%if !%lilo
DO_NOT_COMPILE="$DO_NOT_COMPILE lilo-config"
%endif
%if !%knetworkconf
DO_NOT_COMPILE="$DO_NOT_COMPILE knetworkconf"
%endif

[ -n "$DO_NOT_COMPILE" ] && export DO_NOT_COMPILE

%configure \
%if %unstable
	    --enable-debug=full \
%else
	    --disable-debug \
%endif
            --enable-final \
            --enable-shared \
            --disable-static \
            --disable-objprelink \
            --enable-xinerama \
            --disable-rpath \
            --with-rpm \
            --with-shadow \
            --without-quota \
	    --without-nis \
            --with-homeprefix=/home \
            --with-private-groups \
	    --with-first-uid=500 \
	    --with-first-gid=500 \
	    --with-mailbox-gid=8 \
%if !%kuser
	    --without-kuser \
%endif
%if !%kwuftpd
	    --without-kwuftpd \
%endif
%if !%kcmlinuz
	    --without-kcmlinuz \
%endif
%if !%kpackage
	    --without-kpackage \
%endif
%if !%kxconfig
	    --without-kxconfig \
%endif
%if !%lilo
	    --without-lilo-config \
%endif
%if !%knetworkconf
	    --without-knetworkconf \
%endif
	    --program-transform-name="" \
            --with-pam=yes \
	    --enable-new-ldflags \
	    --enable-gcc-hidden-visibility \
	    --enable-pch \
%ifarch x86_64
	    --enable-libsuffix=64 \
%endif
	    --enable-dependency-tracking

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build \
    DESTDIR=%buildroot \
    prefix=%prefix \
    exec_prefix=%prefix \
install

chmod 0644 %buildroot/%_libdir/*.la ||:
chmod 0644 %buildroot/%_libkde/*.la ||:


export PATH=%_bindir:$PATH

mkdir -p %buildroot/%prefix/sbin \
         %buildroot/%_sysconfdir/pam.d \
         %buildroot/%_sysconfdir/security/console.apps

%if %kpackage
install -c -m 644 %SOURCE11 %buildroot/%_sysconfdir/security/console.apps/kpackage
install -c -m 644 %SOURCE10 %buildroot/%_sysconfdir/pam.d/kpackage
mv %buildroot/%_bindir/kpackage %buildroot/%_sbindir
(cd %buildroot/%_bindir && ln -fs consolehelper kpackage)
%endif

%if %kuser
install -c -m 644 %SOURCE13 %buildroot/%_sysconfdir/security/console.apps/kuser
install -c -m 644 %SOURCE12 %buildroot/%_sysconfdir/pam.d/kuser
mv %buildroot/%_bindir/kuser %buildroot/%_sbindir
(cd %buildroot/%_bindir && ln -fs consolehelper kuser)
%endif

%if %kwuftpd
install -c -m 644 %SOURCE15 %buildroot/%_sysconfdir/security/console.apps/kwuftpd
install -c -m 644 %SOURCE14 %buildroot/%_sysconfdir/pam.d/kwuftpd
mv %buildroot/%_bindir/kwuftpd %buildroot/%_sbindir
(cd %buildroot/%_bindir && ln -fs consolehelper kwuftpd)
%endif

%post kcron
%update_menus
%postun kcron
%clean_menus

%post kdat
%update_menus
%postun kdat
%clean_menus

%post kpackage
%update_menus
%postun kpackage
%clean_menus

%post ksysv
%update_menus
%postun ksysv
%clean_menus

%post kuser
%update_menus
%postun kuser
%clean_menus

%post kwuftpd
%update_menus
%postun kwuftpd
%clean_menus

%post kcmlinuz
%update_menus
%postun kcmlinuz
%clean_menus

%post lilo
%update_menus
%postun lilo
%clean_menus

%post kxconfig
%update_menus
%postun kxconfig
%clean_menus

%files
%files common
%files kcron
%_bindir/kcron
%Kmenudir/kcron.desktop
%_datadir/apps/kcron/
%_datadir/icons/*/*/apps/kcron*
%doc %_docdir/HTML/en/kcron

%files kdat
%_bindir/kdat
%_datadir/apps/kdat
%Kmenudir/kdat.desktop
%_iconsdir/*/*/*/kdat.png
%doc %_docdir/HTML/en/kdat

%files kfile
%_libdir/kde3/kfile_*.so*
%_datadir/services/kfile_*.desktop

%if %kpackage
%files kpackage
%_bindir/kpackage
%_sbindir/kpackage
%_datadir/apps/kpackage
%_datadir/icons/*/*/apps/kpackage.png
%Kmenudir/kpackage.desktop
%_datadir/mimelnk/application/x-debian-package.desktop
%config(noreplace) %_sysconfdir/pam.d/kpackage
%config(noreplace) %_sysconfdir/security/console.apps/kpackage
%doc %_docdir/HTML/en/kpackage
%endif

%files ksysv
%_bindir/ksysv
%_datadir/apps/ksysv
%Kmenudir/ksysv.desktop
%_datadir/icons/*/*/apps/ksysv*
%_datadir/mimelnk/application/x-ksysv.desktop
%_datadir/mimelnk/text/x-ksysv-log.desktop
%_datadir/icons/*/*/actions/toggle_log.png
%doc %_docdir/HTML/en/ksysv

%if %kuser
%files kuser
#%config %_datadir/config/kuserrc
%_bindir/kuser
%_sbindir/kuser
%_datadir/apps/kuser
%Kmenudir/kuser.desktop
%_datadir/icons/*/*/apps/kuser*
%config(noreplace) %_sysconfdir/pam.d/kuser
%config(noreplace) %_sysconfdir/security/console.apps/kuser
%doc %_docdir/HTML/en/kuser
%endif

%if %kwuftpd
%files kwuftpd
%_bindir/kwuftpd
%_sbindir/kwuftpd
%Kmenudir/kwuftpd.desktop
%config(noreplace) %_sysconfdir/pam.d/kwuftpd
%config(noreplace) %_sysconfdir/security/console.apps/kwuftpd
%doc %_docdir/HTML/en/kwuftpd
%endif

%if %kcmlinuz
%files kcmlinuz
%_datadir/apps/kcmlinuz
%Kmenudir/linuz.desktop
%_libdir/kde3/kcm_linuz*.so*
%endif

%if %lilo
%files lilo
%Kmenudir/lilo.desktop
%_libdir/kde3/kcm_lilo*.so*
%endif

%if %kxconfig
%files kxconfig
%_bindir/kxconfig
%_datadir/apps/kxconfig
%_iconsdir/*/*/*/kxconfig.png
%doc %_docdir/HTML/en/kxconfig
#
%Kmenudir/kxconfig.desktop
%endif

%files secpolicy
%_bindir/secpolicy

%changelog
* Fri Feb 09 2007 Zerg <zerg at altlinux dot org> 1:3.5.6-alt0.1.M30
built for M30

* Mon Jan 29 2007 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.6-alt1
- new version

* Tue Oct 17 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.5-alt1
- new version

* Tue Sep 05 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.4-alt1
- new version

* Wed Jun 07 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.3-alt1
- new version

* Wed Apr 05 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.2-alt1
- new version

* Thu Feb 02 2006 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.1-alt1
- new version

* Thu Dec 08 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.5.0-alt1
- new version

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.1-alt1
- new version

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.4.0-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.2-alt1
- rebuild

* Wed Jan 05 2005 ZerG <zerg@altlinux.ru> 1:3.3.2-alt0.0.M24
- new version

* Thu Oct 07 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.1-alt1
- new version

* Mon Oct 04 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.3.0-alt1
- new version

* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.3-alt1
- new version

* Thu Apr 15 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.2-alt1
- new version

* Tue Mar 16 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.1-alt1
- update code from KDE_3_2_BRANCH 

* Wed Mar 10 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.2.0-alt1
- new version
- update code from KDE_3_2_BRANCH

* Thu Feb 05 2004 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.4-alt3
- rebuild without /usr/lib/*.la files
- fix crash kuser when set password

* Tue Oct 14 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.4-alt2
- fix kuser to work with tcb

* Thu Sep 18 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.4-alt1
- update code from cvs

* Thu Aug 21 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.3-alt1
- update code from cvs

* Thu Jul 03 2003 Sergey V Turchin <zerg at altlinux dot org> 1:3.1.2-alt2
- update code from cvs

* Thu May 29 2003 Sergey V Turchin <zerg at altlinux dot ru> 1:3.1.2-alt1
- update from cvs KDE_3_1_BRANCH

* Mon May 05 2003 Sergey V Turchin <zerg at altlinux dot ru> 1:3.1.1-alt2
- update from cvs KDE_3_1_BRANCH

* Tue Apr 01 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.1-alt1
- update from cvs KDE_3_1_BRANCH

* Wed Feb 05 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt2
- update from cvs
- build without kxconfig

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt1
- update from cvs
- build without kpackage by security reason
  (it require siud program konsole_grantpty)

* Tue Nov 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.21
- update from cvs

* Sun Nov 10 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.20.rc2
- rc2

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.20.rc1
- rc1
- increase %%release to easy check dependencies

* Fri Oct 25 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.12
- fix provides

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.11
- update from cvs

* Tue Oct 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.1.0-alt0.10
- update from cvs
- increase %%release to upgrade Daedalus

* Tue Sep 10 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0.3-alt2
- sync patches from cooker
- rebyuld with gcc 3.2

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0.3-alt1
- update from cvs

* Mon Aug 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0.2-alt1
- new version
- update from cvs

* Mon Jun 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1:3.0.1-alt2
- add serial

* Mon Jun 10 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- disable kuser
- update from cvs
- move to /usr

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- build for ALT

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.2mdk
- RC3

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2
- Remove static package

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try

